{@info.textgrid.services.ebookportal.tools.Pager pager}
<div class="tg pagination">
  <ul class="tg pagination_list">
    <!-- previous button -->
    {#if pager.start eq 0}
      <li>&lt;</li>
      <li>1</li>
    {/if}

    {#if pager.start gt 0}
      <li>
        <a href="?q={query}&start={pager.start - pager.limit}&limit={pager.limit}" title="go-to-previous-page"><div>&lt;</div></a>
      </li>
      <li>
        <a href="?q={query}&start=0&limit={pager.limit}" title="go-to-first-page"><div>1</div></a>
      </li>
    {/if}


    <!-- pages -->
    <li class="-current">{pager.currentPage}</li>

    <!-- next button -->
    {#if pager.start.plus(pager.limit) lt pager.hits }
      <li>
        <a href="?q={query}&start={pager.startForLastPage}&limit={pager.limit}" title="go-to-last-page"><div>{pager.totalPages}</div></span>
        </a>
      </li>
      <li>
        <a href="?q={query}&start={pager.start + pager.limit}&limit={pager.limit}" title="go-to-next-page"><div>&gt;</div></a>
      </li>
    {/if}

    {#if pager.start.plus(pager.limit) ge pager.hits }
      <li>{pager.totalPages}</li>
      <li>&gt;</li>
    {/if}

  </ul>
</div>
